Bug 991882 - python-tag: FTBFS in rawhide
python-tag: FTBFS in rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-tag (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F20FTBFS 998564 1001341 1001342 1016174
  Show dependency treegraph
 
Reported: 2013-08-04 22:53 EDT by Dennis Gilmore
Modified: 2013-12-13 22:37 EST (History)
3 users (show)

See Also:
Fixed In Version: python-tag-2013.1-4.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 22:37:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
disable distribute usage (838 bytes, patch)
2013-11-25 06:44 EST, Michael Schwendt
no flags Details | Diff

  None (edit)
Description Dennis Gilmore 2013-08-04 22:53:15 EDT
Your package python-tag failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=5672754

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/2754/5672754/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/2754/5672754/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/2754/5672754/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
Comment 1 Fedora End Of Life 2013-09-16 11:02:10 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Michael Schwendt 2013-11-25 06:04:32 EST
It fails for both Rawhide and F20 in koji's mock, because it tries to
download "distribute" (a fork of "setuptools"):

[...]
+ python setup.py build
Downloading http://pypi.python.org/packages/source/d/distribute/distribute-0.6.19.tar.gz
Traceback (most recent call last):
[...]
urllib2.URLError: <urlopen error [Errno -2] Name or service not known>
Comment 3 Michael Schwendt 2013-11-25 06:44:40 EST
Created attachment 828606 [details]
disable distribute usage

One can make the package build with the attached patch, the resulting module also imports, but I don't know whether it might break anything.
Comment 4 Fedora Update System 2013-11-25 07:28:13 EST
python-tag-2013.1-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-tag-2013.1-4.fc20
Comment 5 Fedora Update System 2013-11-25 22:57:18 EST
Package python-tag-2013.1-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-tag-2013.1-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22084/python-tag-2013.1-4.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-12-13 22:37:15 EST
python-tag-2013.1-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.